/* BarcodeView */

#import <Cocoa/Cocoa.h>

@interface BarcodeView : NSView
{
    IBOutlet NSTextField *dataToEncode;
    IBOutlet NSTextField *addon;
    IBOutlet NSTextField *priceText;
    IBOutlet NSButton *safeMode;
    IBOutlet NSTextField *moduleHeight;
    IBOutlet NSTextField *moduleWidth;
}
- (void)setProperties;
- (IBAction)safeMode:(id)sender;
- (IBAction)refresh:(id)sender;
- (IBAction)reset:(id)sender;
- (IBAction)save:(id)sender;
- (NSImage*) imageFromCGImageRef:(CGImageRef)image;
@end
